# Delete catalog custom properties

Delete catalog custom properties

Endpoint: DELETE /v1/catalog/custom-properties
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `dry_run` (boolean)
    Dry run catalog custom properties

## Request fields (application/json):

  - `property` (string, required)

  - `filter` (object, required)

  - `filter.kind` (string, required)

  - `filter.type` (string)

  - `filter.owners` (array)

  - `filter.tags` (array)

  - `filter.lifecycle` (array)

  - `skip_entity_refs` (array)

## Response 200 fields (application/json):

  - `property` (string, required)

  - `entities_with_deletion` (object, required)

  - `entities_with_deletion.count` (integer, required)

  - `entities_with_deletion.entity_refs` (array)


